Merge branch 'stable-3.0' into stable-3.1

* stable-3.0:
  e2e-tests: Introduce a CloneUsingMultiGerrit1 scenario
  Adapt setup to the new Zookeeper plugin name (zookeeper-refdb)

Change-Id: I7311c3b0f3b438ad19b18c4fa1bac59be2aeb5d6
diff --git a/setup_local_env/configs/zookeeper.config b/setup_local_env/configs/zookeeper-refdb.config
similarity index 100%
rename from setup_local_env/configs/zookeeper.config
rename to setup_local_env/configs/zookeeper-refdb.config
diff --git a/setup_local_env/setup.sh b/setup_local_env/setup.sh
index f9329e7..7615ca0 100755
--- a/setup_local_env/setup.sh
+++ b/setup_local_env/setup.sh
@@ -352,8 +352,8 @@
 fi
 
 echo "Downloading zookeeper plugin $GERRIT_BRANCH"
-  wget $GERRIT_CI/plugin-zookeeper-gh-bazel-$GERRIT_BRANCH/$LAST_BUILD/zookeeper/zookeeper.jar \
-  -O $DEPLOYMENT_LOCATION/zookeeper.jar || { echo >&2 "Cannot download zookeeper plugin: Check internet connection. Abort\
+  wget $GERRIT_CI/plugin-zookeeper-refdb-bazel-$GERRIT_BRANCH/$LAST_BUILD/zookeeper-refdb/zookeeper-refdb.jar \
+  -O $DEPLOYMENT_LOCATION/zookeeper-refdb.jar || { echo >&2 "Cannot download zookeeper plugin: Check internet connection. Abort\
 ing"; exit 1; }
 
 echo "Downloading events-broker library $GERRIT_BRANCH"
@@ -408,7 +408,7 @@
   cp -f $DEPLOYMENT_LOCATION/healthcheck.jar $LOCATION_TEST_SITE_1/plugins/healthcheck.jar
 
   echo "Copy zookeeper plugin"
-  cp -f $DEPLOYMENT_LOCATION/zookeeper.jar $LOCATION_TEST_SITE_1/plugins/zookeeper.jar
+  cp -f $DEPLOYMENT_LOCATION/zookeeper-refdb.jar $LOCATION_TEST_SITE_1/plugins/zookeeper-refdb.jar
 
   echo "Copy events broker library"
   cp -f $DEPLOYMENT_LOCATION/events-broker.jar $LOCATION_TEST_SITE_1/lib/events-broker.jar